at.chipkarte.client.rez.soap

## Class RezeptAbgabeInformationen

- Object
- - at.chipkarte.client.rez.soap.RezeptAbgabeInformationen

-     public class RezeptAbgabeInformationen
      extends Object

  Generelle Informationen zur Abgabe.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RezeptAbgabeInformationen()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAbgabedatum()` Datum der Abgabe.
    `String` | `getAnzahlRezeptgebuehr()` Anzahl der Rezeptgebühren.
    `String` | `getAusstellungsdatum()` Datum der Ausstellung.
    `String` | `getHinweisAbrechnung()` Hinweis zur Abrechnung.
    `String` | `getStatus()` Status des e-Rezeptes.
    `String` | `getZusatzinformation()` Zusätzliche Information zur Abgabe.
    `void` | `setAbgabedatum(String abgabedatum)`
    `void` | `setAnzahlRezeptgebuehr(String anzahlRezeptgebuehr)`
    `void` | `setAusstellungsdatum(String ausstellungsdatum)`
    `void` | `setHinweisAbrechnung(String hinweisAbrechnung)`
    `void` | `setStatus(String status)`
    `void` | `setZusatzinformation(String zusatzinformation)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RezeptAbgabeInformationen

          public RezeptAbgabeInformationen()

  - ### Method Detail

    - #### getAnzahlRezeptgebuehr

          public String getAnzahlRezeptgebuehr()

      Anzahl der Rezeptgebühren.
      Format: zwischen 0 und 99.
      Wenn eine SV-Person Rezeptgebührenbefreit ist, dann wird in diesem Fall "Anzahl Rezeptgebühr" automatisch auf "0" gesetzt.
      Angabe: Muss.
      Returns:
        Anzahl Rezeptgebühr

    - #### setAnzahlRezeptgebuehr

          public void setAnzahlRezeptgebuehr(String anzahlRezeptgebuehr)

    - #### getAbgabedatum

          public String getAbgabedatum()

      Datum der Abgabe.
      Format: TT.MM.JJJJ (darf nicht in der Zukunft liegen)
      Angabe: Bedingt. (Muss für die Einlösung von Papierrezepten)
      Returns:
        Abgabedatum

    - #### setAbgabedatum

          public void setAbgabedatum(String abgabedatum)

    - #### getAusstellungsdatum

          public String getAusstellungsdatum()

      Datum der Ausstellung.
      Format: TT.MM.JJJJ (darf nicht in der Zukunft liegen, muss vor dem Abgabedatum liegen)
      Angabe: Bedingt. (Pflicht wenn keine Verordnungsdaten im e-Rezept enthalten sind und auch noch keine Abgaben vorhanden sind)
      Returns:
        Ausstellungsdatum

    - #### setAusstellungsdatum

          public void setAusstellungsdatum(String ausstellungsdatum)

    - #### getStatus

          public String getStatus()

      Status des e-Rezeptes.
      Mögliche Werte: `StatusERezeptConstants` Mögliche Werte bei Einlösen/Ändern: nur die Werte "E" und "I" sind zulässig.
      Angabe: Bedingt. Bei Papierrezepten ist keine Angabe erlaubt. Beim Einlösen/Ändern der Abgabe zu einem e-Rezept gilt, dass nur die Werte "E" und "I" zulässig sind und eine Angabe nur erlaubt ist, wenn im e-Rezept keine elektronisch gespeicherten Verordnungen enthalten sind.
      Returns:
        Code des Status

    - #### setStatus

          public void setStatus(String status)

    - #### getHinweisAbrechnung

          public String getHinweisAbrechnung()

      Hinweis zur Abrechnung.
      Mögliche Werte: `HinweisAbrechnungConstants`.
      Angabe: Kann.
      Returns:
        Code zur Abrechnung

    - #### setHinweisAbrechnung

          public void setHinweisAbrechnung(String hinweisAbrechnung)

    - #### getZusatzinformation

          public String getZusatzinformation()

      Zusätzliche Information zur Abgabe.
      Format: min. 3 - max. 1000 Zeichen.
      Angabe: Kann.
      Returns:
        Zusätzliche Information zur Abgabe

    - #### setZusatzinformation

          public void setZusatzinformation(String zusatzinformation)